// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdIosBankIdentPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdIosBankIdentPlugin", targets: ["WebIdIosBankIdentPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "XS2AiOS",
            url: "https://github.com/FinTecSystems/xs2a-ios",
            .exact("1.15.1")
        ),
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-plugin-core-spm.git",
            .exact("10.1.1")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdIosBankIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/internal/de/webid-solutions/WebIdIosBankIdentPlugin/9.0.2/WebIdIosBankIdentPlugin.framework-v9.0.2.zip",
            checksum: "2c02169439ab31c9e1f4e8cb4d637e9570c417c22279a448efc92e901846fb2a"
        ),
        .target(
            name: "WebIdIosBankIdentPluginWrapper",
            dependencies: [
                .target(name: "WebIdIosBankIdentPlugin"),
                // [target dependecies here]
                
                .product(name: "XS2AiOS", package: "XS2AiOS"),
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
